package com.bonus.canteen.core.basic.service;

import java.util.List;
import com.bonus.canteen.core.basic.domain.BasicCanteen;

/**
 * 食堂信息Service接口
 * 
 * @author xsheng
 * @date 2025-05-25
 */
public interface IBasicCanteenService {
    /**
     * 查询食堂信息
     * 
     * @param canteenId 食堂信息主键
     * @return 食堂信息
     */
    public BasicCanteen selectBasicCanteenByCanteenId(Long canteenId);

    /**
     * 查询食堂信息列表
     * 
     * @param basicCanteen 食堂信息
     * @return 食堂信息集合
     */
    public List<BasicCanteen> selectBasicCanteenList(BasicCanteen basicCanteen);

    /**
     * 新增食堂信息
     * 
     * @param basicCanteen 食堂信息
     * @return 结果
     */
    public int insertBasicCanteen(BasicCanteen basicCanteen);

    /**
     * 修改食堂信息
     * 
     * @param basicCanteen 食堂信息
     * @return 结果
     */
    public int updateBasicCanteen(BasicCanteen basicCanteen);

    /**
     * 批量删除食堂信息
     * 
     * @param canteenIds 需要删除的食堂信息主键集合
     * @return 结果
     */
    public int deleteBasicCanteenByCanteenIds(Long[] canteenIds);

    /**
     * 删除食堂信息信息
     * 
     * @param canteenId 食堂信息主键
     * @return 结果
     */
    public int deleteBasicCanteenByCanteenId(Long canteenId);
}
